Ubuntu

Please remove saods9 from lucid [buggy, out of date, debian orphaned]

Reported by Joe Harrington on 2007-08-21
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
saods9 (Debian)
Fix Released
Unknown
saods9 (Ubuntu)
Wishlist
Unassigned

Bug Description

Cesare Tirabassi wrote on 2008-08-27: #5

Please remove saods9 from the archive:

- At least it should be removed from intrepid
- Please remove both source and all binaries
- The package is rather outdated, unmaintained in Debian and orphaned since long. It is also quite buggy and chances that will be removed from Debian are very high (see comment #4).
- There are no rdepends

Thanks.

Scott Kitterman (kitterman) wrote :

Unfortunately for Gutsy we are past the Upstream Version Freeze, so without an updated package submitted by someone and a UVF exception approved, this will have to wait for Gutsy +1.

Vincent Legout (bixente) on 2007-08-21
Changed in saods9:
importance: Undecided → Wishlist
Changed in saods9:
status: New → Confirmed
Cesare Tirabassi (norsetto) wrote :

This will be fixed in hardy+1.

Changed in saods9:
assignee: nobody → norsetto
status: Confirmed → In Progress
Changed in saods9:
status: Unknown → New
Cesare Tirabassi (norsetto) wrote :

We have version 5.2 now from upstream.
This is a nightmare, its a 25 MB tarball which contains many libraries already in the archive (amongst them: blt, tcl, tk, tkimg, tktable, zlib), some of these in binary format, at least another modified from source (this was replaced in Debian by a previous fortran version), its own build system which is a (worse) homemade version of a complete autotools set.
The package has been orphaned in Debian since February 2008, and I have serious doubts that, due to its nature, it will be adopted in the near future.
My preference would be to wait until Intrepid alpha 6 release (currently scheduled for September 18th) and if there is no update from Debian just remove the obsolete source and binaries from the archive.

Changed in saods9:
assignee: norsetto → nobody
status: In Progress → Confirmed
Cesare Tirabassi (norsetto) wrote :

Please remove saods9 from the archive:

- At least it should be removed from intrepid
- Please remove both source and all binaries
- The package is rather outdated, unmaintained in Debian and orphaned since long. It is also quite buggy and chances that will be removed from Debian are very high (see comment #4).
- There are no rdepends

Thanks.

Cesare Tirabassi (norsetto) wrote :

I retract my request, there is apparently an attempt being made in Debian to revive this package:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=465959#13

Sorry for the noise.

Kennet (kharpsoe) wrote :

It seems to over a year ago any body has worked on this package in Debian, also with new releases of Ubuntu (Karmic) this package is now completely non functional. See for instance:

https://bugs.launchpad.net/ubuntu/+source/saods9/+bug/406509

So at the very least I suggest that the package is removed as to not cause unnecessary confusion.

The download from homepage of DS9 works fine, though it is not a elegant.

summary: - saods9 is way out of date wrt upstream (4.0b7 vs 4.13)
+ saods9 is way out of date wrt upstream (4.0b7 vs 5.7)
Scott Howard (showard314) wrote :

Requesting removal as per Cesare Tirabassi comments. It was bad a year and a half ago, and it's still bad today.

summary: - saods9 is way out of date wrt upstream (4.0b7 vs 5.7)
+ Please remove saods9 from lucid [buggy, out of date, debian orphaned]
description: updated
tags: removed: upgrade
Jamie Strandboge (jdstrand) wrote :

Unsubscribing ubuntu-archive and subscribing ubuntu-sponsors for review.

foobar (gagarin) wrote :

Please don't remove it, we have many users here that need it. I'm working on an updated/fixed package (version 6, and also trying 6.1)

Scott Howard (showard314) wrote :

Great, you should talk with Riccardo Stagni <email address hidden>

This package was orphaned by the Debian QA group two years ago, and a year ago he adopted the ITA. I just pinged him, and he is still working on it [1], but is busy.

As you can see, there is a bit of work needed [2, 3].

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=465959
[2] http://packages.qa.debian.org/s/saods9.html
[3] http://<email address hidden>#saods9

Daniel Holbach (dholbach) wrote :

Would it make sense to remove it from the archive until the new version has been successfully packaged? As far as I can see if just creates problems at the moment.

Emmet Hikory (persia) wrote :

Please do remove: it can come back when it works for a future release, but it's completely unsuitable as-is in lucid. ACK on removal.

Steve Kowalik (stevenk) wrote :

2010-04-27 05:53:46 INFO Removing candidates:
2010-04-27 05:53:46 INFO saods9 4.0b7-2 in lucid
2010-04-27 05:53:46 INFO saods9 4.0b7-2 in lucid amd64
2010-04-27 05:53:46 INFO saods9 4.0b7-2 in lucid armel
2010-04-27 05:53:46 INFO saods9 4.0b7-2 in lucid i386
2010-04-27 05:53:46 INFO saods9 4.0b7-2 in lucid ia64
2010-04-27 05:53:46 INFO saods9 4.0b7-2 in lucid powerpc
2010-04-27 05:53:46 INFO saods9 4.0b7-2 in lucid sparc
2010-04-27 05:53:46 INFO Removed-by: Steve Kowalik
2010-04-27 05:53:46 INFO Comment: Outdated, unmaintained and orphaned, LP: # 133784
2010-04-27 05:53:46 INFO 7 packages successfully removed.

Changed in saods9 (Ubuntu):
status: Confirmed → Fix Released
Changed in saods9 (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.